RDKit: RDMIF Namespace Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Classes | Functions
RDMIF Namespace Reference

## Classes
class | Coulomb
| class for calculation of electrostatic interaction (Coulomb energy) between probe and molecule in vacuum (no dielectric) More...
class | CoulombDielectric
| class for calculation of electrostatic interaction (Coulomb energy) between probe and molecule by taking a distance-dependent dielectric into account: More...
class | HBond
| class for calculation of hydrogen bond potential between probe and molecule More...
class | Hydrophilic
| class for calculation of hydrophilic field of molecule More...
class | MMFFVdWaals
class | UFFVdWaals
class | VdWaals
| Abstract class for calculation of Van der Waals interaction between probe and molecule at gridpoint `pt`. More...

## Functions
RDKIT_MOLINTERACTIONFIELDS_EXPORT std::unique_ptr< RDGeom::UniformRealValueGrid3D > | constructGrid (const RDKit::ROMol &mol, int confId=-1, double margin=5.0, double spacing=0.5)
| constructs a UniformRealValueGrid3D which fits to the molecule mol
template<typename T>
void | calculateDescriptors (RDGeom::UniformRealValueGrid3D &grd, const T &functor, double thres=-1.0)
| calculates a descriptor at every grid point of MIF
RDKIT_MOLINTERACTIONFIELDS_EXPORT void | writeToCubeStream (const RDGeom::UniformRealValueGrid3D &grd, std::ostream &outStrm, const RDKit::ROMol *mol=nullptr, int confid=-1)
| writes the contents of the MIF to a stream
RDKIT_MOLINTERACTIONFIELDS_EXPORT void | writeToCubeFile (const RDGeom::UniformRealValueGrid3D &grd, const std::string &filename, const RDKit::ROMol *mol=nullptr, int confid=-1)
| writes the contents of the MIF to a file
RDKIT_MOLINTERACTIONFIELDS_EXPORT std::unique_ptr< RDKit::RWMol > | readFromCubeStream (RDGeom::UniformRealValueGrid3D &grd, std::istream &inStrm)
| reads the contents of the MIF from a stream in Gaussian cube format
RDKIT_MOLINTERACTIONFIELDS_EXPORT std::unique_ptr< RDKit::RWMol > | readFromCubeFile (RDGeom::UniformRealValueGrid3D &grd, const std::string &filename)
| reads the contents of the MIF from a file in Gaussian cube format

## Function Documentation

## ◆ calculateDescriptors()

template<typename T>

void RDMIF::calculateDescriptors | ( | RDGeom::UniformRealValueGrid3D & | grd,
|  | const T & | functor,
|  | double | thres = -1.0 )

calculates a descriptor at every grid point of MIF

any unary function/functor can be used taking a grid point of type RDKit::Point3D as parameter

Parameters

  grd | a UniformRealValueGrid3D
  functor | any unary function/functor which takes four doubles as parameters (3 coordinates, 1 threshold)
  thres | cuts off atom contributions if distance of interaction higher than threshold, negative threshold: no threshold, defaults to -1.0

Definition at line 64 of file MIFDescriptors.h.

References RDGeom::UniformRealValueGrid3D::getData(), RDGeom::UniformRealValueGrid3D::getNumX(), RDGeom::UniformRealValueGrid3D::getNumY(), RDGeom::UniformRealValueGrid3D::getNumZ(), RDGeom::UniformRealValueGrid3D::getOffset(), RDGeom::UniformRealValueGrid3D::getSize(), RDGeom::UniformRealValueGrid3D::getSpacing(), RDGeom::Point3D::x, RDGeom::Point3D::y, and RDGeom::Point3D::z.

## ◆ constructGrid()

RDKIT_MOLINTERACTIONFIELDS_EXPORT std::unique_ptr< RDGeom::UniformRealValueGrid3D > RDMIF::constructGrid | ( | const RDKit::ROMol & | mol,
|  | int | confId = -1,
|  | double | margin = 5.0,
|  | double | spacing = 0.5 )

constructs a UniformRealValueGrid3D which fits to the molecule mol

Returns
  a pointer to a UniformRealValueGrid which has a spacing of `spacing` (default: 0.5 Angstrom) and a spatial extent of conformer `confId` (default: -1) of molecule `mol` plus a defined margin `margin` on each side (default: 5.0 Angstrom).

Parameters

  mol | Molecule for which the grid is constructed
  confId | Id of Conformer which is used
  margin | distance from molecule to the grid's wall
  spacing | grid's spacing

Returns pointer to a grid

## ◆ readFromCubeFile()

RDKIT_MOLINTERACTIONFIELDS_EXPORT std::unique_ptr< RDKit::RWMol > RDMIF::readFromCubeFile | ( | RDGeom::UniformRealValueGrid3D & | grd,
|  | const std::string & | filename )

reads the contents of the MIF from a file in Gaussian cube format

The Grid `grd` is modified according to input values If a molecule was associated to the grid on write, a non-null pointer to a molecule is returned with atoms and a conformer, but NO bond information. If there is no atom information in the cube file, a null pointer is returned.

## ◆ readFromCubeStream()

RDKIT_MOLINTERACTIONFIELDS_EXPORT std::unique_ptr< RDKit::RWMol > RDMIF::readFromCubeStream | ( | RDGeom::UniformRealValueGrid3D & | grd,
|  | std::istream & | inStrm )

reads the contents of the MIF from a stream in Gaussian cube format

The Grid `grd` is modified according to input values If a molecule was associated to the grid on write, a non-null pointer to a molecule is returned with atoms and a conformer, but NO bond information. If there is no atom information in the cube file, a null pointer is returned.

References RDKIT_MOLINTERACTIONFIELDS_EXPORT.

## ◆ writeToCubeFile()

RDKIT_MOLINTERACTIONFIELDS_EXPORT void RDMIF::writeToCubeFile | ( | const RDGeom::UniformRealValueGrid3D & | grd,
|  | const std::string & | filename,
|  | const RDKit::ROMol * | mol = nullptr,
|  | int | confid = -1 )

writes the contents of the MIF to a file

The Grid `grd` is written in Gaussian Cube format A molecule `mol` and a `confId` can optionally be provided

References RDKIT_MOLINTERACTIONFIELDS_EXPORT.

## ◆ writeToCubeStream()

RDKIT_MOLINTERACTIONFIELDS_EXPORT void RDMIF::writeToCubeStream | ( | const RDGeom::UniformRealValueGrid3D & | grd,
|  | std::ostream & | outStrm,
|  | const RDKit::ROMol * | mol = nullptr,
|  | int | confid = -1 )

writes the contents of the MIF to a stream

The Grid `grd` is written in Gaussian Cube format A molecule `mol` and a `confId` can optionally be provided

References RDKIT_MOLINTERACTIONFIELDS_EXPORT.